"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var framework_1 = require("@fluentui-react-native/framework");
var Menu_types_1 = require("./Menu.types");
var renderMenu_1 = require("./renderMenu");
var useMenu_1 = require("./useMenu");
var useMenuContextValue_1 = require("./useMenuContextValue");
exports.Menu = (0, framework_1.stagedComponent)(function (props) {
    var state = (0, useMenu_1.useMenu)(props);
    var contextValue = (0, useMenuContextValue_1.useMenuContextValue)(state);
    return function (_rest, children) {
        var childrenArray = react_1.default.Children.toArray(children);
        if (__DEV__) {
            if (childrenArray.length !== 2) {
                // eslint-disable-next-line no-console
                console.warn('Menu must contain two children');
            }
        }
        return (0, renderMenu_1.renderFinalMenu)(childrenArray, contextValue, state);
    };
});
exports.Menu.displayName = Menu_types_1.menuName;
exports.default = exports.Menu;
//# sourceMappingURL=Menu.js.map