"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuCallout = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var framework_2 = require("@fluentui-react-native/framework");
var MenuCallout_types_1 = require("./MenuCallout.types");
var context_1 = require("../context");
var AnimatedScrollView = react_native_1.Animated.createAnimatedComponent(react_native_1.ScrollView);
exports.MenuCallout = (0, framework_1.stagedComponent)(function (props) {
    var context = (0, context_1.useMenuContext)();
    return function (_rest, children) {
        var mergedProps = (0, framework_2.mergeProps)(props, _rest);
        var tokens = props.tokens;
        return (react_1.default.createElement(react_native_1.Modal, tslib_1.__assign({}, mergedProps, { visible: context.open, onRequestClose: context.onRequestClose, supportedOrientations: ['portrait', 'portrait-upside-down', 'landscape', 'landscape-left', 'landscape-right'], transparent: true }),
            react_1.default.createElement(react_native_1.TouchableWithoutFeedback, { onPress: context.onRequestClose, accessible: false },
                react_1.default.createElement(react_native_1.View, { style: [react_native_1.StyleSheet.absoluteFill] },
                    react_1.default.createElement(react_native_1.Animated.View, { onLayout: context.onMenuLayout, style: [
                            context.shadowMenuContainerStyle,
                            {
                                maxHeight: mergedProps.maxHeight ? mergedProps.maxHeight : tokens.maxHeight,
                                maxWidth: tokens.maxWidth,
                                position: 'absolute',
                                borderRadius: tokens.borderRadius,
                                elevation: tokens.elevation,
                                overflow: 'hidden',
                            },
                        ] }, context.menuHeight + tokens.minPadding >= tokens.maxHeight ||
                        context.menuHeight + tokens.minPadding >= mergedProps.maxHeight ? (react_1.default.createElement(AnimatedScrollView, { style: [context.animationStarted && context.menuSize] }, children)) : (react_1.default.createElement(react_native_1.Animated.View, { style: [context.animationStarted && context.menuSize] }, children)))))));
    };
});
exports.MenuCallout.displayName = MenuCallout_types_1.menuCalloutName;
exports.default = exports.MenuCallout;
//# sourceMappingURL=MenuCallout.android.js.map