import type { AnimatableNumericValue } from 'react-native';
import type { ICalloutProps, ICalloutTokens } from '@fluentui-react-native/callout';
export declare const menuCalloutName = "MenuCallout";
export type MenuCalloutTokens = Omit<ICalloutTokens, 'anchorRect' | 'beakWidth' | 'dismissBehaviors'> & {
    /**
     * The token for the corner radius for the Modal MenuPopover
     * @platform android macos
     */
    borderRadius?: AnimatableNumericValue;
    /**
     * Shadown elevation token for the Modal MenuPopover
     * @platform android
     */
    elevation?: number;
};
export type MenuCalloutProps = ICalloutProps & {
    tokens: MenuCalloutTokens;
};
//# sourceMappingURL=MenuCallout.types.d.ts.map