"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stylingSettings = exports.menuItemStates = void 0;
var tslib_1 = require("tslib");
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var tokens_1 = require("@fluentui-react-native/tokens");
var MenuItem_types_1 = require("./MenuItem.types");
var MenuItemTokens_1 = require("./MenuItemTokens");
exports.menuItemStates = ['hovered', 'focused', 'pressed', 'disabled'];
exports.stylingSettings = {
    tokens: [MenuItemTokens_1.defaultMenuItemTokens, MenuItem_types_1.menuItemName],
    states: exports.menuItemStates,
    slotProps: {
        root: (0, framework_1.buildProps)(function (tokens, theme) { return ({
            style: tslib_1.__assign(tslib_1.__assign({ alignItems: 'center', backgroundColor: tokens.backgroundColor, display: 'flex', flexDirection: 'row' }, tokens_1.layoutStyles.from(tokens, theme)), tokens_1.borderStyles.from(tokens, theme)),
        }); }, tslib_1.__spreadArray(tslib_1.__spreadArray(['backgroundColor'], tokens_1.borderStyles.keys, true), tokens_1.layoutStyles.keys, true)),
        checkmark: (0, framework_1.buildProps)(function (tokens) { return ({
            style: {
                height: tokens.checkmarkSize,
                width: tokens.checkmarkSize,
                marginEnd: react_native_1.Platform.OS === 'android' ? tokens.marginEndForCheckedAndroid : tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        content: (0, framework_1.buildProps)(function (tokens, theme) {
            return {
                color: tokens.color,
                style: tslib_1.__assign({ flexGrow: 1 }, tokens_1.fontStyles.from(tokens, theme)),
            };
        }, tslib_1.__spreadArray(['color'], tokens_1.fontStyles.keys, true)),
        iconPlaceholder: (0, framework_1.buildProps)(function (tokens) { return ({
            style: {
                minHeight: tokens.iconSize,
                minWidth: tokens.iconSize,
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        imgIcon: (0, framework_1.buildProps)(function (tokens) { return ({
            style: { tintColor: tokens.iconColor, height: tokens.iconSize, width: tokens.iconSize },
        }); }, ['gap', 'iconColor', 'iconSize']),
        fontOrSvgIcon: (0, framework_1.buildProps)(function (tokens) { return ({ color: tokens.iconColor, size: tokens.iconSize }); }, ['gap', 'iconColor', 'iconSize']),
        submenuIndicator: (0, framework_1.buildProps)(function (tokens) {
            return {
                color: tokens.submenuIndicatorColor,
                height: tokens.submenuIndicatorSize,
                width: tokens.submenuIndicatorSize,
                viewBox: "0 0 ".concat(tokens.submenuIndicatorSize, " ").concat(tokens.submenuIndicatorSize),
            };
        }, ['submenuIndicatorColor', 'submenuIndicatorPadding', 'submenuIndicatorSize']),
    },
};
//# sourceMappingURL=MenuItem.styling.js.map