"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.menuItemFinalRender = exports.MenuItemCheckbox = void 0;
var tslib_1 = require("tslib");
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var icon_1 = require("@fluentui-react-native/icon");
var text_1 = require("@fluentui-react-native/text");
var react_native_svg_1 = require("react-native-svg");
var MenuItemCheckbox_styling_1 = require("./MenuItemCheckbox.styling");
var MenuItemCheckbox_types_1 = require("./MenuItemCheckbox.types");
var useMenuItemCheckbox_1 = require("./useMenuItemCheckbox");
var MenuItem_1 = require("../MenuItem/MenuItem");
exports.MenuItemCheckbox = (0, framework_1.compose)(tslib_1.__assign(tslib_1.__assign({ displayName: MenuItemCheckbox_types_1.menuItemCheckboxName }, MenuItemCheckbox_styling_1.stylingSettings), { slots: tslib_1.__assign(tslib_1.__assign({ root: react_native_1.Pressable }, (react_native_1.Platform.OS === 'android' && { checkbox: react_native_1.Pressable })), { checkmark: react_native_svg_1.SvgXml, content: text_1.TextV1, iconPlaceholder: react_native_1.View, imgIcon: react_native_1.Image, fontOrSvgIcon: icon_1.IconV1 }), useRender: function (userProps, useSlots) {
        var menuItem = (0, useMenuItemCheckbox_1.useMenuItemCheckbox)(userProps);
        var Slots = useSlots(userProps, function (layer) { return menuItem.state[layer] || userProps[layer]; });
        return (0, exports.menuItemFinalRender)(menuItem, Slots);
    } }));
var menuItemFinalRender = function (menuItem, Slots) {
    return function (final, children) {
        var _a = (0, framework_1.mergeProps)(menuItem.props, final), accessibilityLabel = _a.accessibilityLabel, icon = _a.icon, tooltip = _a.tooltip, mergedProps = tslib_1.__rest(_a, ["accessibilityLabel", "icon", "tooltip"]);
        var checkmarkXml = "\n    <svg>\n      <path fill='currentColor' d='M9.85355 3.14645C10.0488 3.34171 10.0488 3.65829 9.85355 3.85355L5.35355 8.35355C5.15829 8.54882 4.84171 8.54882 4.64645 8.35355L2.64645 6.35355C2.45118 6.15829 2.45118 5.84171 2.64645 5.64645C2.84171 5.45118 3.15829 5.45118 3.35355 5.64645L5 7.29289L9.14645 3.14645C9.34171 2.95118 9.65829 2.95118 9.85355 3.14645Z' />\n    </svg>";
        var androidCheckmarkPath = "\n    <svg>\n      <path fill='currentColor' d='M9.76497 3.20474C10.0661 3.48915 10.0797 3.96383 9.79526 4.26497L5.54526 8.76497C5.40613 8.91228 5.21332 8.99703 5.01071 8.99993C4.8081 9.00282 4.61295 8.92361 4.46967 8.78033L2.21967 6.53033C1.92678 6.23744 1.92678 5.76257 2.21967 5.46967C2.51256 5.17678 2.98744 5.17678 3.28033 5.46967L4.98463 7.17397L8.70474 3.23503C8.98915 2.9339 9.46383 2.92033 9.76497 3.20474Z' />\n    </svg>";
        var label = (0, MenuItem_1.getAccessibilityLabel)(accessibilityLabel, children[0]);
        var tooltipResult = (0, MenuItem_1.getTooltip)(tooltip, menuItem.state.hasTooltips, children[0]);
        return ((0, framework_1.withSlots)(Slots.root, tslib_1.__assign({}, mergedProps, { accessibilityLabel: label }),
            react_native_1.Platform.OS === 'android' ? ((0, framework_1.withSlots)(Slots.checkbox, { onPress: mergedProps.onPress, accessible: false, focusable: false },
                (0, framework_1.withSlots)(Slots.checkmark, { xml: androidCheckmarkPath }))) : ((0, framework_1.withSlots)(Slots.checkmark, { accessible: false, xml: checkmarkXml })),
            (icon || menuItem.state.hasIcons) && ((0, framework_1.withSlots)(Slots.iconPlaceholder, { accessible: false },
                icon && icon.source && (0, framework_1.withSlots)(Slots.imgIcon, tslib_1.__assign({ accessible: false }, icon)),
                icon && (icon.svgSource || icon.fontSource) && (0, framework_1.withSlots)(Slots.fontOrSvgIcon, tslib_1.__assign({ accessible: false }, icon)))),
            children && ((0, framework_1.withSlots)(Slots.content, tslib_1.__assign({ accessible: false, tooltip: tooltipResult }, (tooltipResult && { alwaysShowToolTip: true })), children))));
    };
};
exports.menuItemFinalRender = menuItemFinalRender;
//# sourceMappingURL=MenuItemCheckbox.js.map