"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.menuItemRadioFinalRender = exports.MenuItemRadio = void 0;
var tslib_1 = require("tslib");
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var icon_1 = require("@fluentui-react-native/icon");
var text_1 = require("@fluentui-react-native/text");
var react_native_svg_1 = require("react-native-svg");
var MenuItemRadio_styling_1 = require("./MenuItemRadio.styling");
var MenuItemRadio_types_1 = require("./MenuItemRadio.types");
var useMenuItemRadio_1 = require("./useMenuItemRadio");
var MenuItem_1 = require("../MenuItem/MenuItem");
exports.MenuItemRadio = (0, framework_1.compose)(tslib_1.__assign(tslib_1.__assign({ displayName: MenuItemRadio_types_1.menuItemRadioName }, MenuItemRadio_styling_1.stylingSettings), { slots: {
        root: react_native_1.Pressable,
        radioInnerCircle: react_native_1.View,
        radioButton: react_native_1.Pressable,
        checkmark: react_native_svg_1.SvgXml,
        content: text_1.TextV1,
        iconPlaceholder: react_native_1.View,
        imgIcon: react_native_1.Image,
        fontOrSvgIcon: icon_1.IconV1,
    }, useRender: function (userProps, useSlots) {
        var menuItem = (0, useMenuItemRadio_1.useMenuItemRadio)(userProps);
        var Slots = useSlots(userProps, function (layer) { return menuItem.state[layer] || userProps[layer]; });
        return (0, exports.menuItemRadioFinalRender)(menuItem, Slots);
    } }));
var menuItemRadioFinalRender = function (menuItem, Slots) {
    return function (final, children) {
        var _a = (0, framework_1.mergeProps)(menuItem.props, final), accessibilityLabel = _a.accessibilityLabel, icon = _a.icon, tooltip = _a.tooltip, mergedProps = tslib_1.__rest(_a, ["accessibilityLabel", "icon", "tooltip"]);
        var checkmarkXml = "\n    <svg>\n      <path fill='currentColor' d='M9.85355 3.14645C10.0488 3.34171 10.0488 3.65829 9.85355 3.85355L5.35355 8.35355C5.15829 8.54882 4.84171 8.54882 4.64645 8.35355L2.64645 6.35355C2.45118 6.15829 2.45118 5.84171 2.64645 5.64645C2.84171 5.45118 3.15829 5.45118 3.35355 5.64645L5 7.29289L9.14645 3.14645C9.34171 2.95118 9.65829 2.95118 9.85355 3.14645Z' />\n    </svg>";
        var label = (0, MenuItem_1.getAccessibilityLabel)(accessibilityLabel, children[0]);
        var tooltipResult = (0, MenuItem_1.getTooltip)(tooltip, menuItem.state.hasTooltips, children[0]);
        return ((0, framework_1.withSlots)(Slots.root, tslib_1.__assign({}, mergedProps, { accessibilityLabel: label }),
            react_native_1.Platform.OS === 'android' ? ((0, framework_1.withSlots)(Slots.radioButton, { onPress: mergedProps.onPress, accessible: false, focusable: false },
                (0, framework_1.withSlots)(Slots.radioInnerCircle, null))) : ((0, framework_1.withSlots)(Slots.checkmark, { accessible: false, xml: checkmarkXml })),
            (icon || menuItem.state.hasIcons) && ((0, framework_1.withSlots)(Slots.iconPlaceholder, { accessible: false },
                icon && icon.source && (0, framework_1.withSlots)(Slots.imgIcon, tslib_1.__assign({ accessible: false }, icon)),
                icon && (icon.svgSource || icon.fontSource) && (0, framework_1.withSlots)(Slots.fontOrSvgIcon, tslib_1.__assign({ accessible: false }, icon)))),
            children && ((0, framework_1.withSlots)(Slots.content, tslib_1.__assign({ accessible: false, tooltip: tooltipResult }, (tooltipResult && { alwaysShowToolTip: true })), children))));
    };
};
exports.menuItemRadioFinalRender = menuItemRadioFinalRender;
//# sourceMappingURL=MenuItemRadio.js.map