"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stylingSettings = exports.menuItemRadioStates = void 0;
var tslib_1 = require("tslib");
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var tokens_1 = require("@fluentui-react-native/tokens");
var MenuItemRadio_types_1 = require("./MenuItemRadio.types");
var MenuItemRadioTokens_1 = require("./MenuItemRadioTokens");
exports.menuItemRadioStates = ['hovered', 'focused', 'pressed', 'disabled', 'checked'];
exports.stylingSettings = {
    tokens: [MenuItemRadioTokens_1.defaultMenuItemRadioTokens, MenuItemRadio_types_1.menuItemRadioName],
    states: exports.menuItemRadioStates,
    slotProps: {
        root: (0, framework_1.buildProps)(function (tokens, theme) { return ({
            style: tslib_1.__assign(tslib_1.__assign({ alignItems: 'center', backgroundColor: tokens.backgroundColor, display: 'flex', flexDirection: 'row' }, tokens_1.layoutStyles.from(tokens, theme)), tokens_1.borderStyles.from(tokens, theme)),
        }); }, tslib_1.__spreadArray(tslib_1.__spreadArray(['backgroundColor'], tokens_1.borderStyles.keys, true), tokens_1.layoutStyles.keys, true)),
        checkmark: (0, framework_1.buildProps)(function (tokens) {
            var _a;
            return (tslib_1.__assign({ opacity: tokens.checkmarkVisibility, color: (_a = tokens.checkmarkColor) !== null && _a !== void 0 ? _a : tokens.color, height: tokens.checkmarkSize, width: tokens.checkmarkSize, viewBox: '0 0 ' + (tokens.checkmarkSize - tokens.checkmarkPadding * 2) + ' ' + (tokens.checkmarkSize - tokens.checkmarkPadding * 2) }, (react_native_1.Platform.OS !== 'android' && { style: { marginEnd: tokens.gap } })));
        }, ['checkmarkPadding', 'checkmarkSize', 'checkmarkVisibility', 'color', 'gap']),
        content: (0, framework_1.buildProps)(function (tokens, theme) { return ({
            style: tslib_1.__assign(tslib_1.__assign({ flexGrow: 1, color: tokens.color }, (react_native_1.Platform.OS === 'android' && { flexShrink: 1 })), tokens_1.fontStyles.from(tokens, theme)),
        }); }, tslib_1.__spreadArray(['color'], tokens_1.fontStyles.keys, true)),
        iconPlaceholder: (0, framework_1.buildProps)(function (tokens) { return ({
            style: {
                minHeight: tokens.iconSize,
                minWidth: tokens.iconSize,
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        imgIcon: (0, framework_1.buildProps)(function (tokens) { return ({
            style: { tintColor: tokens.iconColor, height: tokens.iconSize, width: tokens.iconSize },
        }); }, ['gap', 'iconColor', 'iconSize']),
        fontOrSvgIcon: (0, framework_1.buildProps)(function (tokens) { return ({ color: tokens.iconColor, size: tokens.iconSize }); }, ['gap', 'iconColor', 'iconSize']),
    },
};
//# sourceMappingURL=MenuItemRadio.styling.js.map