"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMenuItemRadio = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var menuContext_1 = require("../context/menuContext");
var menuListContext_1 = require("../context/menuListContext");
var useMenuItemCheckbox_1 = require("../MenuItemCheckbox/useMenuItemCheckbox");
var useMenuItemRadio = function (props) {
    var _a = props.disabled, disabled = _a === void 0 ? false : _a, name = props.name, persistOnClick = props.persistOnClick;
    var context = (0, menuContext_1.useMenuContext)();
    var listContext = (0, menuListContext_1.useMenuListContext)();
    var selectRadio = listContext.selectRadio;
    var setOpen = context.setOpen;
    var shouldPersist = context.persistOnItemClick;
    shouldPersist = persistOnClick !== null && persistOnClick !== void 0 ? persistOnClick : shouldPersist;
    var toggleChecked = React.useCallback(function (e) {
        if (!disabled) {
            selectRadio(e, name);
            if (!shouldPersist) {
                setOpen(e, false /*isOpen*/, true /*bubble*/);
            }
        }
    }, [disabled, name, selectRadio, setOpen, shouldPersist]);
    // Explicitly only run on mount and unmount
    React.useEffect(function () {
        listContext.addRadioItem(name);
        return function () {
            listContext.removeRadioItem(name);
        };
    }, []); // eslint-disable-line react-hooks/exhaustive-deps
    return (0, useMenuItemCheckbox_1.useMenuCheckboxInteraction)(props, toggleChecked);
};
exports.useMenuItemRadio = useMenuItemRadio;
//# sourceMappingURL=useMenuItemRadio.js.map