"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuPopover = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_native_1 = require("react-native");
var framework_1 = require("@fluentui-react-native/framework");
var MenuPopover_types_1 = require("./MenuPopover.types");
var MenuPopoverTokens_1 = require("./MenuPopoverTokens");
var useMenuPopover_1 = require("./useMenuPopover");
var context_1 = require("../context");
var MenuCallout_1 = require("../MenuCallout");
exports.MenuPopover = (0, framework_1.compressible)(function (props, useTokens) {
    var _a;
    var directionalHint = props.directionalHint, gapSpace = props.gapSpace, maxHeight = props.maxHeight, maxWidth = props.maxWidth, minWidth = props.minWidth, minPadding = props.minPadding, borderWidth = props.borderWidth, borderColor = props.borderColor, backgroundColor = props.backgroundColor;
    var state = (0, useMenuPopover_1.useMenuPopover)(props);
    var theme = (0, framework_1.useFluentTheme)();
    var context = (0, context_1.useMenuContext)();
    var _b = useTokens(theme), tokens = _b[0], cache = _b[1];
    context.hasMaxHeight = maxHeight != undefined;
    context.minWidth = minWidth !== null && minWidth !== void 0 ? minWidth : context.minWidth;
    _a = (0, framework_1.patchTokens)(tokens, cache, {
        directionalHint: directionalHint,
        gapSpace: gapSpace,
        maxHeight: maxHeight,
        maxWidth: maxWidth,
        minWidth: minWidth,
        minPadding: minPadding,
        borderWidth: borderWidth,
        borderColor: borderColor,
        backgroundColor: backgroundColor,
    }), tokens = _a[0], cache = _a[1];
    return function (final, children) {
        var mergedProps = (0, framework_1.mergeProps)(tokens, state.props, final);
        var innerViewProps = 
        //For windows platforms, styling needs to be set on container view instead of the callout itself for the scrollview to reflect correct width and height
        react_native_1.Platform.OS === 'windows' || react_native_1.Platform.OS === 'win32'
            ? tslib_1.__assign(tslib_1.__assign({}, state.innerView), { style: {
                    maxHeight: mergedProps.maxHeight,
                } }) : state.innerView;
        var content = react_1.default.createElement(react_native_1.View, innerViewProps, children);
        return (react_1.default.createElement(MenuCallout_1.MenuCallout, tslib_1.__assign({ tokens: tokens }, mergedProps), content));
    };
}, MenuPopoverTokens_1.useMenuPopoverTokens);
exports.MenuPopover.displayName = MenuPopover_types_1.menuPopoverName;
exports.default = exports.MenuPopover;
//# sourceMappingURL=MenuPopover.js.map