"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuTrigger = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var MenuTrigger_types_1 = require("./MenuTrigger.types");
var useMenuTrigger_1 = require("./useMenuTrigger");
var menuTriggerContext_1 = require("../context/menuTriggerContext");
var MenuTrigger = function (props) {
    if (__DEV__) {
        if (!React.Children.only(props.children)) {
            console.warn('Only expecting one child for MenuTrigger');
        }
    }
    var menuTrigger = (0, useMenuTrigger_1.useMenuTrigger)(props.children.props);
    // In order to properly support accessibility without erasing props set on the
    // child component which may affect accessibility, we need to modify the
    // state in the inner render so we can access the child component and its props.
    var revised = React.cloneElement(props.children, tslib_1.__assign(tslib_1.__assign({}, (props.children.props.tooltip && { alwaysShowToolTip: true })), menuTrigger.props));
    return React.createElement(menuTriggerContext_1.MenuTriggerProvider, { value: menuTrigger.hasSubmenu }, revised);
};
exports.MenuTrigger = MenuTrigger;
exports.MenuTrigger.displayName = MenuTrigger_types_1.menuTriggerName;
exports.default = exports.MenuTrigger;
//# sourceMappingURL=MenuTrigger.js.map