/// <reference types="node" />
import * as React from 'react';
import type { MenuState } from '../Menu/Menu.types';
/**
 * Context shared between Menu and its child components
 */
export interface MenuContextValue extends MenuState {
    popoverHoverOutTimer?: NodeJS.Timeout;
    triggerHoverOutTimer?: NodeJS.Timeout;
    setPopoverHoverOutTimer?: (timer: NodeJS.Timeout) => void;
    setTriggerHoverOutTimer?: (timer: NodeJS.Timeout) => void;
}
export declare const MenuContext: React.Context<MenuContextValue>;
export declare const MenuProvider: React.Provider<MenuContextValue>;
export declare const useMenuContext: () => MenuContextValue;
//# sourceMappingURL=menuContext.d.ts.map