import * as React from 'react';
import type { MenuListState } from '../MenuList/MenuList.types';
/**
 * Context shared between Menu and its child components
 */
export type MenuListContextValue = Omit<MenuListState, 'props' | 'focusZoneRef' | 'hasMaxHeight' | 'hasMaxWidth'> & {
    hasCheckmarks: boolean;
    hasIcons: boolean;
    hasTooltips: boolean;
};
export declare const MenuListContext: React.Context<MenuListContextValue>;
export declare const MenuListProvider: React.Provider<MenuListContextValue>;
export declare const useMenuListContext: () => MenuListContextValue;
//# sourceMappingURL=menuListContext.d.ts.map