import React from 'react';
import { stagedComponent } from '@fluentui-react-native/framework';
import { menuName } from './Menu.types';
import { renderFinalMenu } from './renderMenu';
import { useMenu } from './useMenu';
import { useMenuContextValue } from './useMenuContextValue';
export var Menu = stagedComponent(function (props) {
    var state = useMenu(props);
    var contextValue = useMenuContextValue(state);
    return function (_rest, children) {
        var childrenArray = React.Children.toArray(children);
        if (__DEV__) {
            if (childrenArray.length !== 2) {
                // eslint-disable-next-line no-console
                console.warn('Menu must contain two children');
            }
        }
        return renderFinalMenu(childrenArray, contextValue, state);
    };
});
Menu.displayName = menuName;
export default Menu;
//# sourceMappingURL=Menu.js.map