import { __assign } from "tslib";
import React from 'react';
import { Animated, Modal, TouchableWithoutFeedback, View, StyleSheet, ScrollView } from 'react-native';
import { stagedComponent } from '@fluentui-react-native/framework';
import { mergeProps } from '@fluentui-react-native/framework';
import { menuCalloutName } from './MenuCallout.types';
import { useMenuContext } from '../context';
var AnimatedScrollView = Animated.createAnimatedComponent(ScrollView);
export var MenuCallout = stagedComponent(function (props) {
    var context = useMenuContext();
    return function (_rest, children) {
        var mergedProps = mergeProps(props, _rest);
        var tokens = props.tokens;
        return (React.createElement(Modal, __assign({}, mergedProps, { visible: context.open, onRequestClose: context.onRequestClose, supportedOrientations: ['portrait', 'portrait-upside-down', 'landscape', 'landscape-left', 'landscape-right'], transparent: true }),
            React.createElement(TouchableWithoutFeedback, { onPress: context.onRequestClose, accessible: false },
                React.createElement(View, { style: [StyleSheet.absoluteFill] },
                    React.createElement(Animated.View, { onLayout: context.onMenuLayout, style: [
                            context.shadowMenuContainerStyle,
                            {
                                maxHeight: mergedProps.maxHeight ? mergedProps.maxHeight : tokens.maxHeight,
                                maxWidth: tokens.maxWidth,
                                position: 'absolute',
                                borderRadius: tokens.borderRadius,
                                elevation: tokens.elevation,
                                overflow: 'hidden',
                            },
                        ] }, context.menuHeight + tokens.minPadding >= tokens.maxHeight ||
                        context.menuHeight + tokens.minPadding >= mergedProps.maxHeight ? (React.createElement(AnimatedScrollView, { style: [context.animationStarted && context.menuSize] }, children)) : (React.createElement(Animated.View, { style: [context.animationStarted && context.menuSize] }, children)))))));
    };
});
MenuCallout.displayName = menuCalloutName;
export default MenuCallout;
//# sourceMappingURL=MenuCallout.android.js.map