import { __assign, __spreadArray } from "tslib";
import { Platform } from 'react-native';
import { buildProps } from '@fluentui-react-native/framework';
import { borderStyles, fontStyles, layoutStyles } from '@fluentui-react-native/tokens';
import { menuItemName } from './MenuItem.types';
import { defaultMenuItemTokens } from './MenuItemTokens';
export var menuItemStates = ['hovered', 'focused', 'pressed', 'disabled'];
export var stylingSettings = {
    tokens: [defaultMenuItemTokens, menuItemName],
    states: menuItemStates,
    slotProps: {
        root: buildProps(function (tokens, theme) { return ({
            style: __assign(__assign({ alignItems: 'center', backgroundColor: tokens.backgroundColor, display: 'flex', flexDirection: 'row' }, layoutStyles.from(tokens, theme)), borderStyles.from(tokens, theme)),
        }); }, __spreadArray(__spreadArray(['backgroundColor'], borderStyles.keys, true), layoutStyles.keys, true)),
        checkmark: buildProps(function (tokens) { return ({
            style: {
                height: tokens.checkmarkSize,
                width: tokens.checkmarkSize,
                marginEnd: Platform.OS === 'android' ? tokens.marginEndForCheckedAndroid : tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        content: buildProps(function (tokens, theme) {
            return {
                color: tokens.color,
                style: __assign({ flexGrow: 1 }, fontStyles.from(tokens, theme)),
            };
        }, __spreadArray(['color'], fontStyles.keys, true)),
        iconPlaceholder: buildProps(function (tokens) { return ({
            style: {
                minHeight: tokens.iconSize,
                minWidth: tokens.iconSize,
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        imgIcon: buildProps(function (tokens) { return ({
            style: { tintColor: tokens.iconColor, height: tokens.iconSize, width: tokens.iconSize },
        }); }, ['gap', 'iconColor', 'iconSize']),
        fontOrSvgIcon: buildProps(function (tokens) { return ({ color: tokens.iconColor, size: tokens.iconSize }); }, ['gap', 'iconColor', 'iconSize']),
        submenuIndicator: buildProps(function (tokens) {
            return {
                color: tokens.submenuIndicatorColor,
                height: tokens.submenuIndicatorSize,
                width: tokens.submenuIndicatorSize,
                viewBox: "0 0 ".concat(tokens.submenuIndicatorSize, " ").concat(tokens.submenuIndicatorSize),
            };
        }, ['submenuIndicatorColor', 'submenuIndicatorPadding', 'submenuIndicatorSize']),
    },
};
//# sourceMappingURL=MenuItem.styling.js.map