import type { InteractionEvent } from '@fluentui-react-native/interactive-hooks';
import type { MenuItemCheckboxProps, MenuItemCheckboxInfo } from './MenuItemCheckbox.types';
export declare const useMenuItemCheckbox: (props: MenuItemCheckboxProps) => MenuItemCheckboxInfo;
/**
 * Create interactivity and accessibility props to be passed into the inner render.
 * This logic is shared between Checkbox and Radio versions of MenuItem.
 *
 * @param props Props passed into the outer compoennt
 * @param toggleCallback Function to be called when item is toggled
 * @returns Props and additional state needed to render the component
 */
export declare const useMenuCheckboxInteraction: (props: MenuItemCheckboxProps, toggleCallback: (e: InteractionEvent) => void) => MenuItemCheckboxInfo;
//# sourceMappingURL=useMenuItemCheckbox.d.ts.map