import { __assign, __spreadArray } from "tslib";
import { Platform } from 'react-native';
import { buildProps } from '@fluentui-react-native/framework';
import { borderStyles, fontStyles, layoutStyles } from '@fluentui-react-native/tokens';
import { menuItemRadioName } from './MenuItemRadio.types';
import { defaultMenuItemRadioTokens } from './MenuItemRadioTokens';
export var menuItemRadioStates = ['hovered', 'focused', 'pressed', 'disabled', 'checked'];
export var stylingSettings = {
    tokens: [defaultMenuItemRadioTokens, menuItemRadioName],
    states: menuItemRadioStates,
    slotProps: {
        root: buildProps(function (tokens, theme) { return ({
            style: __assign(__assign({ alignItems: 'center', backgroundColor: tokens.backgroundColor, display: 'flex', flexDirection: 'row' }, layoutStyles.from(tokens, theme)), borderStyles.from(tokens, theme)),
        }); }, __spreadArray(__spreadArray(['backgroundColor'], borderStyles.keys, true), layoutStyles.keys, true)),
        radioButton: buildProps(function (tokens) { return ({
            style: {
                backgroundColor: 'transparent',
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.paddingHorizontal,
                width: tokens.radioOuterCircleSize,
                height: tokens.radioOuterCircleSize,
                borderWidth: tokens.radioBorderWidth,
                borderStyle: tokens.radioBorderStyle,
                borderRadius: tokens.radioOuterCircleSize / 2,
                borderColor: tokens.radioBorder,
            },
            android_ripple: { color: tokens.rippleColor, radius: tokens.rippleRadius, borderless: true },
        }); }, ['radioBorderWidth', 'radioBorderStyle', 'radioOuterCircleSize', 'rippleColor', 'rippleRadius', 'radioBorder']),
        radioInnerCircle: buildProps(function (tokens) { return ({
            style: {
                opacity: tokens.radioVisibility,
                borderRadius: tokens.radioInnerCircleSize / 2,
                height: tokens.radioInnerCircleSize,
                width: tokens.radioInnerCircleSize,
                backgroundColor: tokens.radioFill,
            },
        }); }, ['radioInnerCircleSize', 'radioVisibility', 'radioFill']),
        content: buildProps(function (tokens, theme) { return ({
            style: __assign(__assign({ flexGrow: 1, color: tokens.color }, (Platform.OS === 'android' && { flexShrink: 1 })), fontStyles.from(tokens, theme)),
        }); }, __spreadArray(['color'], fontStyles.keys, true)),
        iconPlaceholder: buildProps(function (tokens) { return ({
            style: {
                minHeight: tokens.iconSize,
                minWidth: tokens.iconSize,
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        imgIcon: buildProps(function (tokens) { return ({
            style: { tintColor: tokens.iconColor, height: tokens.iconSize, width: tokens.iconSize },
        }); }, ['gap', 'iconColor', 'iconSize']),
        fontOrSvgIcon: buildProps(function (tokens) { return ({ color: tokens.iconColor, size: tokens.iconSize }); }, ['gap', 'iconColor', 'iconSize']),
    },
};
//# sourceMappingURL=MenuItemRadio.styling.android.js.map