import { __assign, __spreadArray } from "tslib";
import { Platform } from 'react-native';
import { buildProps } from '@fluentui-react-native/framework';
import { borderStyles, fontStyles, layoutStyles } from '@fluentui-react-native/tokens';
import { menuItemRadioName } from './MenuItemRadio.types';
import { defaultMenuItemRadioTokens } from './MenuItemRadioTokens';
export var menuItemRadioStates = ['hovered', 'focused', 'pressed', 'disabled', 'checked'];
export var stylingSettings = {
    tokens: [defaultMenuItemRadioTokens, menuItemRadioName],
    states: menuItemRadioStates,
    slotProps: {
        root: buildProps(function (tokens, theme) { return ({
            style: __assign(__assign({ alignItems: 'center', backgroundColor: tokens.backgroundColor, display: 'flex', flexDirection: 'row' }, layoutStyles.from(tokens, theme)), borderStyles.from(tokens, theme)),
        }); }, __spreadArray(__spreadArray(['backgroundColor'], borderStyles.keys, true), layoutStyles.keys, true)),
        checkmark: buildProps(function (tokens) {
            var _a;
            return (__assign({ opacity: tokens.checkmarkVisibility, color: (_a = tokens.checkmarkColor) !== null && _a !== void 0 ? _a : tokens.color, height: tokens.checkmarkSize, width: tokens.checkmarkSize, viewBox: '0 0 ' + (tokens.checkmarkSize - tokens.checkmarkPadding * 2) + ' ' + (tokens.checkmarkSize - tokens.checkmarkPadding * 2) }, (Platform.OS !== 'android' && { style: { marginEnd: tokens.gap } })));
        }, ['checkmarkPadding', 'checkmarkSize', 'checkmarkVisibility', 'color', 'gap']),
        content: buildProps(function (tokens, theme) { return ({
            style: __assign(__assign({ flexGrow: 1, color: tokens.color }, (Platform.OS === 'android' && { flexShrink: 1 })), fontStyles.from(tokens, theme)),
        }); }, __spreadArray(['color'], fontStyles.keys, true)),
        iconPlaceholder: buildProps(function (tokens) { return ({
            style: {
                minHeight: tokens.iconSize,
                minWidth: tokens.iconSize,
                alignItems: 'center',
                justifyContent: 'center',
                marginEnd: tokens.gap,
            },
        }); }, ['checkmarkSize', 'gap']),
        imgIcon: buildProps(function (tokens) { return ({
            style: { tintColor: tokens.iconColor, height: tokens.iconSize, width: tokens.iconSize },
        }); }, ['gap', 'iconColor', 'iconSize']),
        fontOrSvgIcon: buildProps(function (tokens) { return ({ color: tokens.iconColor, size: tokens.iconSize }); }, ['gap', 'iconColor', 'iconSize']),
    },
};
//# sourceMappingURL=MenuItemRadio.styling.js.map