import * as React from 'react';
import { useMenuContext } from '../context/menuContext';
import { useMenuListContext } from '../context/menuListContext';
import { useMenuCheckboxInteraction } from '../MenuItemCheckbox/useMenuItemCheckbox';
export var useMenuItemRadio = function (props) {
    var _a = props.disabled, disabled = _a === void 0 ? false : _a, name = props.name, persistOnClick = props.persistOnClick;
    var context = useMenuContext();
    var listContext = useMenuListContext();
    var selectRadio = listContext.selectRadio;
    var setOpen = context.setOpen;
    var shouldPersist = context.persistOnItemClick;
    shouldPersist = persistOnClick !== null && persistOnClick !== void 0 ? persistOnClick : shouldPersist;
    var toggleChecked = React.useCallback(function (e) {
        if (!disabled) {
            selectRadio(e, name);
            if (!shouldPersist) {
                setOpen(e, false /*isOpen*/, true /*bubble*/);
            }
        }
    }, [disabled, name, selectRadio, setOpen, shouldPersist]);
    // Explicitly only run on mount and unmount
    React.useEffect(function () {
        listContext.addRadioItem(name);
        return function () {
            listContext.removeRadioItem(name);
        };
    }, []); // eslint-disable-line react-hooks/exhaustive-deps
    return useMenuCheckboxInteraction(props, toggleChecked);
};
//# sourceMappingURL=useMenuItemRadio.js.map