import { __assign } from "tslib";
import React from 'react';
import { Platform, View } from 'react-native';
import { compressible, mergeProps, patchTokens, useFluentTheme } from '@fluentui-react-native/framework';
import { menuPopoverName } from './MenuPopover.types';
import { useMenuPopoverTokens } from './MenuPopoverTokens';
import { useMenuPopover } from './useMenuPopover';
import { useMenuContext } from '../context';
import { MenuCallout } from '../MenuCallout';
export var MenuPopover = compressible(function (props, useTokens) {
    var _a;
    var directionalHint = props.directionalHint, gapSpace = props.gapSpace, maxHeight = props.maxHeight, maxWidth = props.maxWidth, minWidth = props.minWidth, minPadding = props.minPadding, borderWidth = props.borderWidth, borderColor = props.borderColor, backgroundColor = props.backgroundColor;
    var state = useMenuPopover(props);
    var theme = useFluentTheme();
    var context = useMenuContext();
    var _b = useTokens(theme), tokens = _b[0], cache = _b[1];
    context.hasMaxHeight = maxHeight != undefined;
    context.minWidth = minWidth !== null && minWidth !== void 0 ? minWidth : context.minWidth;
    _a = patchTokens(tokens, cache, {
        directionalHint: directionalHint,
        gapSpace: gapSpace,
        maxHeight: maxHeight,
        maxWidth: maxWidth,
        minWidth: minWidth,
        minPadding: minPadding,
        borderWidth: borderWidth,
        borderColor: borderColor,
        backgroundColor: backgroundColor,
    }), tokens = _a[0], cache = _a[1];
    return function (final, children) {
        var mergedProps = mergeProps(tokens, state.props, final);
        var innerViewProps = 
        //For windows platforms, styling needs to be set on container view instead of the callout itself for the scrollview to reflect correct width and height
        Platform.OS === 'windows' || Platform.OS === 'win32'
            ? __assign(__assign({}, state.innerView), { style: {
                    maxHeight: mergedProps.maxHeight,
                } }) : state.innerView;
        var content = React.createElement(View, innerViewProps, children);
        return (React.createElement(MenuCallout, __assign({ tokens: tokens }, mergedProps), content));
    };
}, useMenuPopoverTokens);
MenuPopover.displayName = menuPopoverName;
export default MenuPopover;
//# sourceMappingURL=MenuPopover.js.map