import type { AnimatableNumericValue } from 'react-native';
import type { IViewProps } from '@fluentui-react-native/adapters';
import type { ICalloutProps, ICalloutTokens } from '@fluentui-react-native/callout';
export declare const menuPopoverName = "MenuPopover";
export type MenuPopoverTokens = Omit<ICalloutTokens, 'anchorRect' | 'beakWidth' | 'dismissBehaviors'> & {
    /**
     * The props for the corner radius for the Modal MenuPopover
     * @platform android macos
     */
    borderRadius?: AnimatableNumericValue;
    /**
     * Shadown elevation for the Modal MenuPopover
     * @platform android
     */
    elevation?: number;
};
export type MenuPopoverProps = ICalloutProps;
export interface MenuPopoverState {
    props: ICalloutProps;
    innerView: IViewProps;
}
//# sourceMappingURL=MenuPopover.types.d.ts.map