import { __assign } from "tslib";
import * as React from 'react';
import { menuTriggerName } from './MenuTrigger.types';
import { useMenuTrigger } from './useMenuTrigger';
import { MenuTriggerProvider } from '../context/menuTriggerContext';
export var MenuTrigger = function (props) {
    if (__DEV__) {
        if (!React.Children.only(props.children)) {
            console.warn('Only expecting one child for MenuTrigger');
        }
    }
    var menuTrigger = useMenuTrigger(props.children.props);
    // In order to properly support accessibility without erasing props set on the
    // child component which may affect accessibility, we need to modify the
    // state in the inner render so we can access the child component and its props.
    var revised = React.cloneElement(props.children, __assign(__assign({}, (props.children.props.tooltip && { alwaysShowToolTip: true })), menuTrigger.props));
    return React.createElement(MenuTriggerProvider, { value: menuTrigger.hasSubmenu }, revised);
};
MenuTrigger.displayName = menuTriggerName;
export default MenuTrigger;
//# sourceMappingURL=MenuTrigger.js.map